<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.system.basicData.mapper.CrmEnterpriseInformationMapper">
    
    <resultMap type="CrmEnterpriseInformation" id="CrmEnterpriseInformationResult">
        <result property="id"    column="id"    />
        <result property="enterpriseName"    column="enterprise_name"    />
        <result property="unifiedSocialCreditCode"    column="unified_social_credit_code"    />
        <result property="operatingCondition"    column="operating_condition"    />
        <result property="enterpriseType"    column="enterprise_type"    />
        <result property="industrialChainClassification"    column="industrial_chain_classification"    />
        <result property="industrialChainLength"    column="industrial_chain_length"    />
        <result property="admissionTime"    column="admission_time"    />
        <result property="complianceTime"    column="compliance_time"    />
        <result property="guaranteedDepartment"    column="guaranteed_department"    />
        <result property="guaranteedLeader"    column="guaranteed_leader"    />
        <result property="guaranteedResponsiblePerson"    column="guaranteed_responsible_person"    />
        <result property="enterpriseContactPersonAndContact"    column="enterprise_contact_person_and_contact"    />
        <result property="mainProducts"    column="main_products"    />
        <result property="rawMaterialNames"    column="raw_material_names"    />
        <result property="supplier"    column="supplier"    />
        <result property="placeOfOrigin"    column="place_of_origin"    />
        <result property="annualProcurementValue"    column="annual_procurement_value"    />
        <result property="commodityName"    column="commodity_name"    />
        <result property="placeOfDeparture"    column="place_of_departure"    />
        <result property="destination"    column="destination"    />
        <result property="transportationMode"    column="transportation_mode"    />
        <result property="annualLogisticsExpense"    column="annual_logistics_expense"    />
        <result property="cooperativeCompany"    column="cooperative_company"    />
        <result property="projectName"    column="project_name"    />
        <result property="additionalInvestment"    column="additional_investment"    />
        <result property="expectedAnnualOutputValue"    column="expected_annual_output_value"    />
        <result property="expectedTaxRevenue"    column="expected_tax_revenue"    />
        <result property="specificProjectContent"    column="specific_project_content"    />
        <result property="totalArea"    column="total_area"    />
        <result property="lease"    column="lease"    />
        <result property="floorSpace"    column="floor_space"    />
        <result property="buildingArea"    column="building_area"    />
        <result property="lastYearOutput"    column="last_year_output"    />
        <result property="thisCompletedOutputValue"    column="this_completed_output_value"    />
        <result property="thisExpectedOutputValue"    column="this_expected_output_value"    />
        <result property="thisOutputValueCompletionProgress"    column="this_output_value_completion_progress"    />
        <result property="thisFirstQuarterOutputValue"    column="this_first_quarter_output_value"    />
        <result property="lastYearFirstQuarterOutputValue"    column="last_year_first_quarter_output_value"    />
        <result property="growthRateOutputValue"    column="growth_rate_output_value"    />
        <result property="thisFirstQuarterTaxation"    column="this_first_quarter_taxation"    />
        <result property="lastYearFirstQuarterTaxation"    column="last_year_first_quarter_taxation"    />
        <result property="growthRateTaxation"    column="growth_rate_taxation"    />
        <result property="thisFirstQuarterElectricity"    column="this_first_quarter_electricity"    />
        <result property="lastYearFirstQuarterElectricity"    column="last_year_first_quarter_electricity"    />
        <result property="growthRateElectricity"    column="growth_rate_electricity"    />
        <result property="numberOfEmployees"    column="number_of_employees"    />
        <result property="naturalGas"    column="natural_gas"    />
        <result property="remark"    column="remark"    />
    </resultMap>
</mapper>